const { makeLogger } = demon.summon("utils/logger")
const log = makeLogger(console.log, "TestPlug")

function onStart() {
	log("Started plugin (apparently)")
	const str = "data pass test"
	return {
		str
	}
}

function onStop(ctx) {
	log("Stopped plugin (apparently)")
	log(ctx.str)
	return true
}

export default {
	onStart,
	onStop
}